<div class="container mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="col-10 mx-auto mt-3">
    <div class="col-6 mx-auto mb-3">
      <form #orderForm="ngForm" (ngSubmit)="onSubmit()" class="form-inline">
        <label for="searchOrder" class="mr-2">Orden:</label>
        <select name="searchOrder" id="searchOrder" #searchOrder="ngModel" [(ngModel)]="order" class="custom-select">
          <option value="new">Más nuevos primero</option>
          <option value="old">Más viejos primero</option>
          <option value="alfa-asc">Alfabético A-Z</option>
          <option value="alfa-desc">Alfabético Z-A</option>
          <option value="price-asc">Más baratos primero</option>
          <option value="price-desc">Más caros primero</option>
        </select>
        <input type="submit" class="btn btn-primary ml-2" value="Ordena">
      </form>
    </div>
    <div *ngIf="!cars && status!='error'" class="d-flex justify-content-center align-items-center"
      style="min-height: 400px">
      <img src="../../../assets/loaders/5.gif" alt="">
    </div>
    <div class="alert alert-warning text-center" *ngIf="message" [@fadeInOut] id="msgDiv">{{message}}</div>

    <table class="table table-hover" *ngIf="cars">
      <thead class="thead-dark">
        <tr>
          <th>Coche</th>
          <th>Precio</th>
          <th>a la venta</th>
          <th>Decripción</th>
          <th>Acciones</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let car of cars">
          <td><a [routerLink]="['/coche/',car.id]">{{car.title}}</a></td>
          <td>{{car.price}}</td>
          <td *ngIf="!car.status"></td>
          <td *ngIf="car.status=='true'">Sí</td>
          <td *ngIf="car.status=='false'">No</td>
          <td class="col-4">{{car.description}}</td>
          <td>
            <a [routerLink]="['/editar-coche/',car.id]" class="btn btn-primary"
              *ngIf="identity.sub==car.user_id">Editar</a>
            <button type="button" class="btn btn-danger ml-3" *ngIf="identity.sub==car.user_id" data-toggle="modal"
              [attr.data-target]="'#deleteModal'+car.id">Borrar</button>
            <!-- Modal -->
            <div class="modal fade" id="deleteModal{{car.id}}" tabindex="-1" role="dialog" aria-hidden="true">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title">{{car.title}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    ¿Seguro que quieres borrar el registro "{{car.title}}"?
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No, Cerrar ventana</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="delete(car.id)">Sí,
                      borrar</button>
                  </div>
                </div>
              </div>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>